TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

PositionProperty ( func pred, string s ) -> elt-ord^rat

### Optional Arguments

Fail | any |  | Determines what to return in case of failure.

### Description

<shortdoc> Return the position of the first character of `s' which suffices the predicate function `pred'.
Return FAILURE if no such character exists in `s'.
Note: Apparently `pred' must have `-> elt-alg^boo' out-signature. </shortdoc>

### Examples

PositionProperty(i->i in "aeiou","some random text");

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack